package com.yanzuoguang.util.thread;

import java.util.Date;

/***
 * 任务项数据
 * @author 颜佐光
 */
public class RunPlanData {
    /**
     * 任务开始时间
     */
    private long date;
    /**
     * 执行标记
     */
    private String flag;
    /**
     * 执行次数
     */
    private double executeCount;
    /**
     * 执行时错误次数,调试变量
     */
    private double executeError;
    /**
     * 执行时间
     */
    private int time;
    /**
     * 需要执行的对象
     */
    private Runnable execute;

    /**
     * 构造函数
     */
    public RunPlanData() {
        this.initDate();
    }

    public long getDate() {
        return date;
    }

    public void setDate(long date) {
        this.date = date;
    }

    public String getFlag() {
        return flag;
    }

    public void setFlag(String flag) {
        this.flag = flag;
    }

    public double getExecuteCount() {
        return executeCount;
    }

    public void setExecuteCount(double executeCount) {
        this.executeCount = executeCount;
    }

    public double getExecuteError() {
        return executeError;
    }

    public void setExecuteError(double executeError) {
        this.executeError = executeError;
    }

    public int getTime() {
        return time;
    }

    public void setTime(int time) {
        this.time = time;
    }

    public Runnable getExecute() {
        return execute;
    }

    public void setExecute(Runnable execute) {
        this.execute = execute;
    }

    /**
     * 添加执行次数
     */
    public void addCount() {
        this.executeCount++;
        this.executeError++;
    }

    /**
     * 添加执行次数
     */
    public void initError() {
        this.executeError = 0;
    }

    /**
     * 重置时间
     */
    public void initDate() {
        this.date = System.currentTimeMillis();
    }
}
